<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal"
    android:paddingLeft="5dp"
    android:paddingTop="5dp"
    android:paddingRight="5dp">


    <ImageView
        android:id="@+id/draggable"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:src="@drawable/draggable"
        android:layout_marginRight="5dp"
        android:layout_centerVertical="true"
        android:visibility="gone" />

    <!-- Behaviour name-->
    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Title"
        android:textColor="#040404"
        android:typeface="sans"
        android:textSize="17dip"
        android:textStyle="bold"
        android:layout_alignParentTop="true"
        android:layout_toRightOf="@+id/draggable" />

    <!-- Behaviour description -->
    <TextView
        android:id="@+id/description"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textColor="#343434"
        android:textSize="12dip"
        android:text="Description"
        android:layout_below="@+id/title"
        android:ellipsize="end"
        android:singleLine="true"
        android:layout_toRightOf="@+id/draggable"
        android:layout_toLeftOf="@+id/warning"/>


    <!-- Rightend -->
    <ProgressBar
        android:id="@+id/active"
        style="?android:attr/progressBarStyleSmall"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:layout_marginRight="10dp"
        android:visibility="invisible" />

    <ImageView
        android:id="@+id/warning"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:src="@drawable/warning"
        android:layout_marginRight="5dp"
        android:layout_centerVertical="true"
        android:visibility="invisible"
        android:layout_toLeftOf="@+id/active" />

    <ProgressBar
        android:id="@+id/progress"
        style="?android:attr/progressBarStyleHorizontal"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/description"
        android:visibility="invisible" />


</RelativeLayout>